<?php

namespace App\Models\Enums;

enum ObjectApprovalStatus: string
{
    case WAIT = 'pending'; //未开始

    case DOING = 'doing'; //进行中

    case APPROVED = 'approved'; // 已批准

    case REJECTED = 'rejected';

    case CANCELED = 'canceled'; //取消

    case RESUBMISSION = 'resubmission'; //重新提交

    public static function getStatus(string $status): string
    {
        return match ($status) {
            ObjectApprovalStatus::WAIT->value => 'Not Submitted',
            ObjectApprovalStatus::DOING->value => 'Pending for Approval',
            ObjectApprovalStatus::APPROVED->value => 'A-Approved & B-Approved w/comment',
            ObjectApprovalStatus::REJECTED->value => 'D-Rejected',
            ObjectApprovalStatus::CANCELED->value => 'Cancelled',
            ObjectApprovalStatus::RESUBMISSION->value => "C-Resubmission Reg'd",
            default => 'Not Submitted'
        };
    }
}
