<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('llm_session', function (Blueprint $table) {
            $table->id();
            $table->string('session_id')->unique()->comment('会话ID');
            $table->string('title')->nullable()->comment('会话标题');
            $table->unsignedBigInteger('user_id')->comment('用户ID');
            $table->string('model')->comment('使用的模型');
            $table->timestamps();

            $table->index('user_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('llm_session');
    }
};
