<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('llm_messages', function (Blueprint $table) {
            $table->id();
            $table->integer('session_id')->comment('关联的会话ID')->index();
            $table->string('role')->comment('消息角色：user/assistant');
            $table->text('content')->comment('消息内容');
            $table->text('reasoning_content')->nullable()->comment('推理内容');
            $table->json('metadata')->nullable()->comment('元数据，如token使用情况等');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('llm_messages');
    }
};
